Skip to main content
GET
/
embedded-banking
/
v1
/
beneficial-owners
Get beneficial owners.
curl --request GET \
  --url https://api.sandbox.tesouro.com/embedded-banking/v1/beneficial-owners \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "applicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "birthDate": "2023-12-25",
      "firstName": "<string>",
      "homeAddress": {
        "address1": "<string>",
        "address2": "<string>",
        "address3": "<string>",
        "city": "<string>",
        "countryCode": "AFG",
        "postalCode": "<string>",
        "state": "<string>"
      },
      "lastName": "<string>",
      "mobilePhoneNumber": "<string>",
      "ownershipPercentage": 123,
      "ssnLast4": "<string>",
      "workEmailAddress": "<string>"
    }
  ],
  "nextPaginationToken": "<string>",
  "prevPaginationToken": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

organizationId
string<uuid>

Optional filter to restrict results to a specific VSP organization.

limit
default:25

Number of items to return (default 25, max 100).

pagination_token
string

Opaque pagination token from a previous response.

Response

Beneficial owners retrieved successfully.

A paginated response containing a page of results and navigation tokens.

data
object[]
required

The items in the current page.

nextPaginationToken
null | string

A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page.

prevPaginationToken
null | string

A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page.